## php5 5.4.45

=== debian/changelog ===
php5 (5.4.45-0+deb7u14) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix the following CVE:
    - CVE-2018-10545: Dumpable FPM child processes allow bypassing opcache
      access controls because fpm_unix.c makes a PR_SET_DUMPABLE prctl call,
      allowing one user (in a multiuser environment) to obtain sensitive
      information from the process memory of a second user's PHP applications
      by running gcore on the PID of the PHP-FPM worker process.
    - CVE-2018-10547: There is Reflected XSS on the PHAR 403 and 404 error
      pages via request data of a request for a .phar file. NOTE: this
      vulnerability exists because of an incomplete fix for CVE-2018-5712.
    - CVE-2018-10548: ext/ldap/ldap.c allows remote LDAP servers to cause a
      denial of service (NULL pointer dereference and application crash)
      because of mishandling of the ldap_get_dn return value.

 -- Markus Koschany <apo@debian.org>  Wed, 09 May 2018 16:20:11 +0200

php5 (5.4.45-0+deb7u13) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2018-7584: Wei Lei and Liu Yang of Nanyang Technological University
    discovered a stack-based buffer overflow when parsing a malformed HTTP
    response which can be exploited to cause a denial-of-service.

 -- Markus Koschany <apo@debian.org>  Thu, 29 Mar 2018 16:13:00 +0200

php5 (5.4.45-0+deb7u12) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2018-5712: reflected XSS vulnerability on the PHAR 404 error page
    via the URI of a request for a .phar file.

 -- Markus Koschany <apo@debian.org>  Sat, 20 Jan 2018 14:25:57 +0100

php5 (5.4.45-0+deb7u11) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian LTS team.
  * Fix CVE-2017-12933: buffer over-read while unserializing untrusted data in
    finish_nested_data function in ext/standard/var_unserializer.re

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 29 Aug 2017 17:46:23 -0300

php5 (5.4.45-0+deb7u10) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian LTS team.
  * Fix CVE-2017-11628: a stack-based buffer overflow in the zend_ini_do_op()
    function in Zend/zend_ini_parser.c could cause a denial of service or
    potentially allow executing code.

 -- Lucas Kanashiro <kanashiro@debian.org>  Fri, 25 Aug 2017 19:24:54 -0300

php5 (5.4.45-0+deb7u9) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Backport the following security fixes:
  * CVE-2016-10397:
    Incorrect handling of various URI components in the URL parser could be
    used by attackers to bypass hostname-specific URL checks.
  * CVE-2017-11143:
    An invalid free in the WDDX deserialization of boolean parameters could be
    used by attackers able to inject XML for deserialization to crash the PHP
    interpreter.
  * CVE-2017-11144:
    The openssl extension PEM sealing code did not check the return value of
    the OpenSSL sealing function, which could lead to a crash of the PHP
    interpreter.
  * CVE-2017-11145:
    Lack of a bounds check in the date extension's timelib_meridian parsing
    code could be used by attackers able to supply date strings to leak
    information from the interpreter.
  * CVE-2017-11147:
    The PHAR archive handler could be used by attackers supplying malicious
    archive files to crash the PHP interpreter or potentially disclose
    information due to a buffer over-read in the phar_parse_pharfile function
    in ext/phar/phar.c.

 -- Markus Koschany <apo@debian.org>  Fri, 21 Jul 2017 10:32:38 +0200

php5 (5.4.45-0+deb7u8) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Backport the following security fixes:
  * CVE-2016-7478:
    Zend/zend_exceptions.c in PHP allows remote attackers to
    cause a denial of service (infinite loop) via a crafted Exception object in
    serialized data, a related issue to CVE-2015-8876.
  * CVE-2016-7479:
    During the unserialization process, resizing the 'properties' hash table of
    a serialized object may lead to use-after-free. A remote attacker may
    exploit this bug to gain the ability of arbitrary code execution. Even
    though the property table issue only affects PHP 7 this change also
    prevents a wide range of other __wakeup() based attacks.
  * CVE-2017-7272:
    The fsockopen() function will use the port number which is defined in
    hostname instead of the port number passed to the second parameter of the
    function. This misbehavior may introduce another attack vector for an
    already known application vulnerability (e.g. Server Side Request Forgery).

 -- Markus Koschany <apo@debian.org>  Mon, 27 Mar 2017 22:05:52 +0200

php5 (5.4.45-0+deb7u7) wheezy-security; urgency=high

  [ Raphaël Hertzog ]
  * Non-maintainer upload by the Debian LTS Team.
  * Switch source package to "3.0 (quilt)" to be able to include
    binary files in updates (useful for backported tests).
  * CVE-2016-2554
    Stack-based buffer overflow in ext/phar/tar.c allows remote attackers to
    cause a denial of service (application crash) or possibly have unspecified
    other impact via a crafted TAR archive.
  * CVE-2016-3141
    Use-after-free vulnerability in wddx.c in the WDDX extension allows remote
    attackers to cause a denial of service (memory corruption and application
    crash) or possibly have unspecified other impact by triggering a
    wddx_deserialize call on XML data containing a crafted var element.
  * Add some files which are missing for tests:
    - ext/phar/tests/bug69720.phar
    - ext/phar/tests/bug70433.zip
    - ext/phar/tests/bug71331.tar
    - ext/phar/tests/bug71488.tar
    - ext/phar/tests/tar/files/bug64343.tar

  [ Roberto C. Sanchez ]
  * CVE-2016-3142
    The phar_parse_zipfile function in zip.c in the PHAR extension in PHP
    before 5.5.33 and 5.6.x before 5.6.19 allows remote attackers to obtain

