=== debian/control ===
Source: php5
Section: php
Priority: optional
Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
	   Sean Finney <seanius@debian.org>,
	   Thijs Kinkhorst <thijs@debian.org>,
	   Lior Kaplan <kaplan@debian.org>,
	   William Dauchy <wdauchy@gmail.com>
Build-Depends: apache2-prefork-dev,
	       autoconf (>= 2.63),
	       automake (>= 1.11) | automake1.11,
	       bison,
	       chrpath,
	       debhelper (>= 5),
	       firebird-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.5-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.1-dev [!hurd-any !m68k !hppa !ppc64],
	       flex,
	       freetds-dev,
	       hardening-wrapper,
	       libapr1-dev (>= 1.2.7-8),
	       libbz2-dev,
	       libc-client-dev,
	       libcurl4-openssl-dev | libcurl-dev,
	       libdb-dev,
	       libenchant-dev,
	       libevent-dev (>= 1.4.11),
	       libexpat1-dev (>= 1.95.2-2.1),
	       libfreetype6-dev,
	       libgcrypt11-dev,
	       libgd2-xpm-dev,
	       libglib2.0-dev,
	       libgmp3-dev,
	       libicu-dev,
	       libjpeg-dev | libjpeg62-dev,
	       libkrb5-dev,
	       libldap2-dev,
	       libmagic-dev,
	       libmcrypt-dev,
	       libmhash-dev (>= 0.8.8),
	       libmysqlclient-dev | libmysqlclient15-dev,
	       libonig-dev,
	       libpam0g-dev,
	       libpcre3-dev (>= 6.6),
	       libpng-dev | libpng12-dev,
	       libpq-dev,
	       libpspell-dev,
	       libqdbm-dev,
	       librecode-dev,
	       libsasl2-dev,
	       libsnmp-dev,
	       libsqlite3-dev,
	       libssl-dev,
	       libtidy-dev,
	       libtool (>= 2.2),
	       libwrap0-dev,
	       libxmltok1-dev,
	       libxml2-dev,
	       libxslt1-dev (>= 1.0.18),
	       locales-all | language-pack-de,
	       mysql-server,
	       netbase,
	       netcat-traditional,
	       quilt,
	       re2c,
	       unixodbc-dev,
	       zlib1g-dev,
	       tzdata
Build-Conflicts: bind-dev
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/pkg-php/php.git
Vcs-Browser: http://git.debian.org/?p=pkg-php/php.git
Homepage: http://www.php.net/

Package: php5
Architecture: all
Depends: ${misc:Depends}, libapache2-mod-php5 (>= ${source:Version}) | libapache2-mod-php5filter (>= ${source:Version}) | php5-cgi (>= ${source:Version}) | php5-fpm (>= ${source:Version}), php5-common (>= ${source:Version})
Description: server-side, HTML-embedded scripting language (metapackage)
 This package is a metapackage that, when installed, guarantees that you
 have at least one of the four server-side versions of the PHP5 interpreter
 installed. Removing this package won't remove PHP5 from your system, however
 it may remove other packages that depend on this one.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php5-common
Architecture: any
Depends: ${misc:Depends}, sed (>= 4.1.1-1), psmisc (>= 22.15-1~), lsof [!kfreebsd-any !hurd-any], ${shlibs:Depends}, ucf
Pre-Depends: dpkg (>= 1.16.1~)
Provides: php5-json, php5-mhash
Conflicts: php5-json, php5-mhash
Breaks: jffnms (<= 0.9.1-1),
	d-push (<= 1.5.5-1),
	dotclear (<= 2.4.0+dfsg-1),
	boinc-server-maker (<= 7.0.14+dfsg-1),
	gforge-common (<= 5.1.1-2),
	php5-gpib (<= 3.2.11-2.1),
	libow-php5 (<= 2.8p14-3),
	php-openid (<= 2.2.2-1),
	php-radius-legacy (<= 1.2.5-2.1),
	php-imlib (<= 0.7-3),
	fossology-common (<= 1.2.0-3.1),
	lwat (<= 0.17-4.2),
	zoph (<= 0.8.0.1-1),
	phpreports (<= 0.4.9-2),
	php-kolab-filter (<= 0.1.9-4),
	horde3 (<= 3.3.12+debian0-1),
	moodle (<= 1.9.9.dfsg2-4),
	php5-suhosin (<< 0.9.34)
Description: Common files for packages built from the php5 source
 This package contains the documentation and example files relevant to all
 the other packages built from the php5 source.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: libapache2-mod-php5
Section: httpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mime-support, ${apache2:Depends}, php5-common (= ${binary:Version}), libmagic1, ucf, tzdata
Conflicts: libapache2-mod-php4, libapache2-mod-php5filter
Provides: ${php:Provides}
Recommends: php5-cli
Suggests: php-pear
Description: server-side, HTML-embedded scripting language (Apache 2 module)
 This package provides the PHP5 module for the Apache 2 webserver (as
 found in the apache2-mpm-prefork package).  Please note that this package
 ONLY works with Apache's prefork MPM, as it is not compiled thread-safe.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: libapache2-mod-php5filter
Section: httpd
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mime-support, ${apache2:Depends}, php5-common (= ${binary:Version}), libmagic1, ucf, tzdata
Conflicts: libapache2-mod-php4, libapache2-mod-php5
Provides: ${php:Provides}
Suggests: php-pear
Description: server-side, HTML-embedded scripting language (apache 2 filter module)
 This package provides the PHP5 Filter module for the Apache 2 webserver (as 
 found in the apache2-mpm-prefork package).  Please note that this package
 ONLY works with Apache's prefork MPM, as it is not compiled thread-safe.
 .
 Unless you specifically need filter-module support, you most likely
 should instead install libapache2-mod-php5.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php5-cgi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mime-support, php5-common (= ${binary:Version}), libmagic1, ucf, tzdata
Provides: ${php:Provides}
Suggests: php-pear
Description: server-side, HTML-embedded scripting language (CGI binary)
 This package provides the /usr/lib/cgi-bin/php5 CGI interpreter built
 for use in Apache 2 with mod_actions, or any other CGI httpd that
 supports a similar mechanism.  Note that MOST Apache users probably
 want the libapache2-mod-php5 package.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php5-cli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mime-support, php5-common (= ${binary:Version}), libmagic1, ucf, tzdata
Provides: ${php:Provides}
Suggests: php-pear
Description: command-line interpreter for the php5 scripting language
 This package provides the /usr/bin/php5 command interpreter, useful for
 testing PHP scripts from a shell or performing general shell scripting tasks.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php5-fpm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mime-support, php5-common (= ${binary:Version}), libmagic1, ucf, tzdata
Provides: ${php:Provides}
Suggests: php-pear
Pre-Depends: dpkg (>= 1.16.1~)
Description: server-side, HTML-embedded scripting language (FPM-CGI binary)
 This package provides the Fast Process Manager interpreter that runs
 as a daemon and receives Fast/CGI requests.  Note that MOST Apache users
 probably want the libapache2-mod-php5 package.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: libphp5-embed
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mime-support, php5-common (= ${binary:Version}), libmagic1, ucf, tzdata
Provides: ${php:Provides}
Suggests: php-pear
Description: HTML-embedded scripting language (Embedded SAPI library)
 This package provides the library /usr/lib/libphp5.so which can
 be used by application developers to embed PHP scripting functionality.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php5-dev
Depends: ${misc:Depends}, autoconf (>= 2.63), automake (>= 1.11), libssl-dev, libtool (>= 2.2), shtool, php5-common (>= ${binary:Version})
Conflicts: ${libtool:Conflicts}
Architecture: any
Description: Files for PHP5 module development
 This package provides the files from the PHP5 source needed for compiling
 additional modules.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php5-dbg
Depends: ${misc:Depends}, php5-common (= ${binary:Version}), libapache2-mod-php5 (= ${binary:Version}) | libapache2-mod-php5filter (= ${binary:Version}) | php5-cgi (= ${binary:Version}) | php5-cli (= ${binary:Version}) | php5-fpm (= ${binary:Version}) | php5-curl (= ${binary:Version}) | php5-enchant (= ${binary:Version}) | php5-gd (= ${binary:Version}) | php5-gmp (= ${binary:Version}) | php5-imap (= ${binary:Version}) | php5-interbase (= ${binary:Version}) | php5-intl (= ${binary:Version}) | php5-ldap (= ${binary:Version}) | php5-mcrypt (= ${binary:Version}) | php5-mysql (= ${binary:Version}) | php5-odbc (= ${binary:Version}) | php5-pgsql (= ${binary:Version}) | php5-pspell (= ${binary:Version}) | php5-recode (= ${binary:Version}) | php5-snmp (= ${binary:Version}) | php5-sqlite (= ${binary:Version}) | php5-sybase (= ${binary:Version}) | php5-tidy (= ${binary:Version}) | php5-xmlrpc (= ${binary:Version}) | php5-xsl (= ${binary:Version})
Recommends: gdb
Section: debug
Priority: extra
Architecture: any
Description: Debug symbols for PHP5
 This package provides the debug symbols for PHP5 needed for properly
 debugging errors in PHP5 with gdb.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php-pear
Architecture: all
Depends: ${misc:Depends}, php5-common (>= ${source:Version}), php5-cli
Recommends: gnupg
Conflicts: php-xml-util
Suggests: php5-dev
Replaces: php4-pear (<< 4:4.4.0-0), php-xml-util
Provides: php-xml-util
Description: PEAR - PHP Extension and Application Repository
 This package contains the base PEAR classes for PHP, as well as the PEAR
 installer.  Many PEAR classes are already packaged for Debian, and can be
 easily identified by names beginning with "php-", such as php-db and
 php-auth.  Note: to build and install precompiled PECL extensions, you
 will need one of the php development packages installed.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php5-curl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${php:Depends}, php5-common (= ${binary:Version}), ucf
Pre-Depends: dpkg (>= 1.16.1~)
Description: CURL module for php5
 CURL is a library for getting files from  FTP, GOPHER, HTTP server.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php5-enchant
Architecture: any
