## php5 5.5.3+dfsg

=== debian/changelog ===
php5 (5.5.3+dfsg-1ubuntu2) saucy; urgency=low

  * d/p/crash_in_get_zval_ptr_ptr_var.patch: cherry-pick from upstream to fix
    segfault (LP: #1236733).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 09 Oct 2013 11:29:29 +0000

php5 (5.5.3+dfsg-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: drop Build-Depends that are in universe: firebird-dev,
      libc-client-dev, libmcrypt-dev, libonig-dev, libqdbm-dev.
    - d/rules: drop configuration of packages that are in universe: qdgm,
      onig.
    - d/rules: drop CONFIGURE_APACHE_ARGS settings since now we don't build
      interbase or firebird.
    - d/rules: export DEB_HOST_MULTIARCH properly.
    - d/control: drop binary packages php5-imap, php5-interbase and
      php5-mcrypt since we have separate versions in universe.
    - d/modulelist: drop imap, interbase and mcrypt since we have separate
      versions in universe.
    - d/rules: drop configuration of imap and mcrypt since we have separate
      versions in universe.
    - d/source_php5.py, d/rules: add apport hook.
    - d/rules: stop mysql instance on clean just in case we failed in tests.
    - d/control, d/rules: re-enable libedit-dev.
    - d/control: switch Build-Depends of netcat-traditional to netcat-openbsd
      as only the latter is in main.
    - d/rules, d/control: drop use of dh_systemd as it is in universe.
    - d/control: relegate php5-json and pkg-php-tools from Recommends to
      Suggests as they are in universe.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 04 Sep 2013 08:24:35 -0400

php5 (5.5.3+dfsg-1) unstable; urgency=low

  * New upstream version 5.5.3+dfs
  * Update patches for 5.5.3 release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 23 Aug 2013 14:49:34 +0200

php5 (5.5.2+dfsg-1) unstable; urgency=low

  * New upstream version 5.5.2+dfsg
  * Update and refresh patches for 5.5.2 release
  * Add handling for mpm_itk to libapache2-mod-php5{,filter}
    (Closes: #720278)
  * Add php5-readline to php5-cli Recommends to hint that it's needed
    for functional php -a

 -- Ondřej Surý <ondrej@debian.org>  Tue, 20 Aug 2013 13:17:24 +0200

php5 (5.5.1+dfsg-2) unstable; urgency=low

  * Move apache2 (>= 2.4) from Pre-Depend to Depends (Closes: #711454)
  * Install the headers from CGI build to get mysqlnd headers into
    php5-dev package (Closes: #690395)
  * Use small helper script instead of shell blog to check FPM
    configuration (Closes: #718627)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 05 Aug 2013 15:58:01 +0200

php5 (5.5.1+dfsg-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: drop Build-Depends that are in universe: firebird-dev,
      libc-client-dev, libmcrypt-dev, libonig-dev, libqdbm-dev.
    - d/rules: drop configuration of packages that are in universe: qdgm,
      onig.
    - d/rules: drop CONFIGURE_APACHE_ARGS settings since now we don't build
      interbase or firebird.
    - d/rules: export DEB_HOST_MULTIARCH properly.
    - d/control: drop binary packages php5-imap, php5-interbase and
      php5-mcrypt since we have separate versions in universe.
    - d/modulelist: drop imap, interbase and mcrypt since we have separate
      versions in universe.
    - d/rules: drop configuration of imap and mcrypt since we have separate
      versions in universe.
    - d/source_php5.py, d/rules: add apport hook.
    - d/rules: stop mysql instance on clean just in case we failed in tests.
    - d/control, d/rules: re-enable libedit-dev.
    - d/control: switch Build-Depends of netcat-traditional to netcat-openbsd
      as only the latter is in main.
    - d/rules, d/control: drop use of dh_systemd as it is in universe.
    - d/control: relegate php5-json and pkg-php-tools from Recommends to
      Suggests as they are in universe.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 24 Jul 2013 09:28:07 -0400

php5 (5.5.1+dfsg-1) unstable; urgency=low

  * New upstream version 5.5.1+dfsg
  * Update patches for 5.5.1 release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 22 Jul 2013 08:25:19 +0200

php5 (5.5.0+dfsg-15ubuntu1) saucy; urgency=low

  * Merged from Debian unstable to get security fix.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 18 Jul 2013 11:48:29 -0400

php5 (5.5.0+dfsg-15) unstable; urgency=low

  * CVE-2013-4113: Fix heap corruption in xml parser (Closes: #717139)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 17 Jul 2013 16:12:39 +0200

php5 (5.5.0+dfsg-14ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: drop Build-Depends that are in universe: firebird-dev,
      libc-client-dev, libmcrypt-dev, libonig-dev, libqdbm-dev.
    - d/rules: drop configuration of packages that are in universe: qdgm,
      onig.
    - d/rules: drop CONFIGURE_APACHE_ARGS settings since now we don't build
      interbase or firebird.
    - d/rules: export DEB_HOST_MULTIARCH properly.
    - d/control: drop binary packages php5-imap, php5-interbase and
      php5-mcrypt since we have separate versions in universe.
    - d/modulelist: drop imap, interbase and mcrypt since we have separate
      versions in universe.
    - d/rules: drop configuration of imap and mcrypt since we have separate
      versions in universe.
    - d/source_php5.py, d/rules: add apport hook.
    - d/rules: stop mysql instance on clean just in case we failed in tests.
    - d/control, d/rules: re-enable libedit-dev.
    - d/control: switch Build-Depends of netcat-traditional to netcat-openbsd
      as only the latter is in main.
    - d/rules, d/control: drop use of dh_systemd as it is in universe.
    - d/control: relegate php5-json from Recommends to Suggests as it is in
      universe.
  * Relegate pkg-php-tools Recommends to Suggests as it is in universe.

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 17 Jul 2013 18:00:02 +0000

php5 (5.5.0+dfsg-14) unstable; urgency=low


